declare_plugin("SHAHED 136 By Bestiajez",
{
displayName     = _("SHAHED_136"),
developerName   =   "Bestiajez",

image     	 = "FC.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
fileMenuName = _("SHAHED_136"),

version		 = "1.0",
state		 = "installed",
info		 = _("IRANIAN DRON SHAHED 136 By BESTIAJEZ"),

InputProfiles =
{
    ["SHAHED_136"] = current_mod_path .. '/Input',
},


Skins	=
	{
		{
			name	= _("SHAHED_136"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("SHAHED 136"),
			dir			    = "Missions",
            
		},
	},		

LogBook =
	{
		{
			name		= _("SHAHED_136"),
			type		= "SHAHED_136",
		},
	},		
Options =
	{
		{
			name		= _("SHAHED_136"),
			nameId		= "SHAHED_136",
			dir			= "Options",
			 CLSID		= "{SHAHED_136 options}"
		},
       
	},	

})

mount_vfs_texture_path(current_mod_path ..  "/Theme/ME")--for simulator loading window

mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Textures")
mount_vfs_texture_path  (current_mod_path ..  "/Textures/textures")
local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

dofile(current_mod_path.."/Views.lua")

make_view_settings('SHAHED_136', ViewSettings, SnapViews)
----------------------------------------------------------------------------------------

MAC_flyable('SHAHED_136', support_cockpit, nil, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------
dofile(current_mod_path..'/SHAHED_136.lua')

plugin_done()
